'use strict';

require('./curry.js');
require('./chunk-6c48b316.js');
require('./chunk-046be687.js');
require('./variadic.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
require('./chunk-40161f88.js');
var __chunk_4 = require('./chunk-acf1cc79.js');
var concat = require('./concat.js');
var empty = require('./empty.js');
var head = require('./head.js');
var tail = require('./tail.js');

function intersperse (s, as) {
  const prependToAll = bs =>
    empty(bs)
      ? __chunk_4.mempty(bs)
      : concat(s, head(bs), prependToAll(tail(bs)));

  return empty(as)
    ? __chunk_4.mempty(as)
    : concat(head(as), prependToAll(tail(as)))
}

module.exports = intersperse;
