'use strict';

require('./curry.js');
require('./always.js');
require('./_branch.js');
require('./branch.js');
require('./id.js');
require('./chunk-6c48b316.js');
require('./chunk-046be687.js');
require('./variadic.js');
require('./compose.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
require('./chunk-40161f88.js');
var __chunk_4 = require('./chunk-acf1cc79.js');
require('./concat.js');
require('./_concatMap.js');
var _filter = require('./_filter.js');
var empty = require('./empty.js');
var head = require('./head.js');
var tail = require('./tail.js');
var _prepend = require('./_prepend.js');

function nubBy (f, as) {
  const a = head(as);

  return empty(as)
    ? __chunk_4.mempty(as)
    : _prepend(
      a,
      nubBy(f, _filter(b => !f(a, b), tail(as)))
    )
}

module.exports = nubBy;
