'use strict';

require('./chunk-6c48b316.js');
var __chunk_4 = require('./chunk-acf1cc79.js');
var empty = require('./empty.js');
var head = require('./head.js');
var tail = require('./tail.js');
var _prepend = require('./_prepend.js');

function removeBy (f, a, bs_) {
  const b = head(bs_);
  const bs = tail(bs_);

  return empty(bs_)
    ? __chunk_4.mempty(bs_)
    : f(a, b) ? bs : _prepend(b, removeBy(f, a, bs))
}

module.exports = removeBy;
