'use strict';

/**
 * Converts the list of `as` to a list of type `t`.
 *
 * @private
 */
function toList (as, t) {
  return t === 'string' ? as.join('') : as
}

function sortBy (c, as) {
  const bs = Array.from(as.slice(0));
  return toList(bs.sort(c), typeof as)
}

module.exports = sortBy;
