'use strict';

require('./curry.js');
require('./always.js');
require('./_branch.js');
require('./branch.js');
require('./id.js');
require('./chunk-6c48b316.js');
require('./chunk-046be687.js');
require('./variadic.js');
require('./compose.js');
var _append = require('./_append.js');
require('./append.js');
require('./flip.js');
require('./chunk-40161f88.js');
require('./chunk-acf1cc79.js');
require('./concat.js');
require('./_concatMap.js');
require('./_filter.js');
var _any = require('./_any.js');
var _fold = require('./_fold.js');

function unionBy (f, as, bs) {
  return _fold((cs, b) => {
    return _any(a => f(a, b), as) ? cs : _append(b, cs)
  }, as, bs)
}

module.exports = unionBy;
