'use strict';

require('./curry.js');
require('./chunk-6c48b316.js');
require('./chunk-046be687.js');
require('./variadic.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
require('./chunk-40161f88.js');
require('./chunk-acf1cc79.js');
var concat = require('./concat.js');
var empty = require('./empty.js');
var head = require('./head.js');
require('./_pair.js');
var pair = require('./pair.js');
var tail = require('./tail.js');
var _map = require('./_map.js');

function cartesian (as, bs) {
  return empty(as)
    ? []
    : concat(
      _map(pair(head(as)), bs),
      cartesian(tail(as), bs)
    )
}

module.exports = cartesian;
